Bug 436245 - ferror: NullPointerException with no matching pattern
ferror: NullPointerException with no matching pattern
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Sami Wagiaalla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 21:45 EST by Dave Malcolm
Modified: 2016-06-07 18:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:06:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 6045 None None None Never

  None (edit)
Description Dave Malcolm 2008-03-05 21:45:52 EST
Description of problem:
I tried using ferror without a matching pattern, c.f.:

[david@brick ~]$ ferror -- /bin/ls fake

My hope was that it would issue a backtrace on every output to stderr; this
could be a meaningful feature.

However, it gave this internal error:

Tracing 8083.8083
/bin/ls: Exception in thread "main" java.lang.NullPointerException
   at java.lang.String.contains(libgcj.so.8rh)
   at frysk.bindir.ferror$1.updateSyscallEnter(ferror)
   at frysk.proc.live.LinuxPtraceTask.notifySyscallEnter(ferror)
   at frysk.proc.live.LinuxPtraceTaskState$Running.handleSyscalledEvent(ferror)
   at frysk.proc.live.LinuxPtraceTask.processSyscalledEvent(ferror)
   at frysk.proc.live.LinuxWaitBuilder.syscallEvent(ferror)
   at frysk.sys.Wait.wait(ferror)
   at frysk.sys.Wait.wait(ferror)
   at frysk.event.WaitEventLoop.block(ferror)
   at frysk.event.EventLoop.runEventLoop(ferror)
   at frysk.event.EventLoop.run(ferror)
   at frysk.util.ProcRunningUtil.start(ferror)
   at frysk.bindir.ferror.main(ferror)
cannot access fake: No such file or directory


Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.02.29.rh1-1.fc8

How reproducible:
100%

Steps to Reproduce:
1. ferror -- /bin/ls some-file-that-does-not-exist

Actual results:
Tracing 8193.8193
/bin/ls: Exception in thread "main" java.lang.NullPointerException
   at java.lang.String.contains(libgcj.so.8rh)
   at frysk.bindir.ferror$1.updateSyscallEnter(ferror)
   at frysk.proc.live.LinuxPtraceTask.notifySyscallEnter(ferror)
   at frysk.proc.live.LinuxPtraceTaskState$Running.handleSyscalledEvent(ferror)
   at frysk.proc.live.LinuxPtraceTask.processSyscalledEvent(ferror)
   at frysk.proc.live.LinuxWaitBuilder.syscallEvent(ferror)
   at frysk.sys.Wait.wait(ferror)
   at frysk.sys.Wait.wait(ferror)
   at frysk.event.WaitEventLoop.block(ferror)
   at frysk.event.EventLoop.runEventLoop(ferror)
   at frysk.event.EventLoop.run(ferror)
   at frysk.util.ProcRunningUtil.start(ferror)
   at frysk.bindir.ferror.main(ferror)
cannot access some-file-that-does-not-exist: No such file or directory


Expected results:
Either an immediate error: must supply regex pattern, but hoped that it could be
omitted altogether.

Note that supplying a blank string works:
ferror -e "" -- /bin/ls fake
i.e. seems to match anything, but RFE: support omitting -e altogether, to trap
any output to stderr
Comment 1 Phil Muldoon 2008-03-06 04:24:19 EST
I believe it is matching straight text, not pattern matching. Something like 

ferror -e "($^)" /bin/ls foo

Would be very useful. 

Sami I just added pattern matching to the segment matching code for fcore using
--segment (ie --segment="vdso|stack|heap|($^)". This code should be pretty
portable. The only caveat is it is slightly Java'esque version of regex.
Comment 2 Andrew Cagney 2008-04-07 14:16:27 EDT
Pushing bug upstream; can I suggest adding yourself to the CC of this bug:
http://sourceware.org/bugzilla/show_bug.cgi?id=6045
/me who wishes this stuff would track upstream instead.

Comment 3 Bug Zapper 2008-11-26 05:02:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:06:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.